# mga4
%define drakxtools_required_version  16.0
# mga3:
%define drakxtools_conflicted_version  15.57-3

%define libname lib%{name}

Summary:  Tools to configure the keyboard, the mouse and the graphic card
Name:     drakx-kbd-mouse-x11
Version:  1.38
Release:  %mkrel 3
License:  GPLv2+
Group:    System/Configuration
Url:      https://www.mageia.org/
Source0:  https://gitweb.mageia.org/software/%{name}/snapshot/%{name}-%{version}.tar.xz

BuildRequires: chrpath
BuildRequires: gettext
BuildRequires: perl_checker
BuildRequires: perl-devel
BuildRequires: pkgconfig(ncurses)
BuildRequires: pkgconfig(xxf86misc)
BuildRequires: intltool
Requires: drakxtools-curses => %drakxtools_required_version
Requires: %{libname} = %{version}
Requires: polkit
%ifnarch %{sunsparc} %arm %mips
Requires: monitor-edid >= 1.12
%endif
# for program:
Conflicts: drakxtools < %drakxtools_conflicted_version
# for man pages:
Conflicts: drakxtools-curses < %drakxtools_conflicted_version
# for -noAutoAddDevices (mga5):
Conflicts: x11-server-xorg < 1.5.99.3-1.20090110.13
# for Cards+ using nvidia-current|nvidia71xx|nvidia96xx instead of nvidia/nvidia97xx/NVIDIA_LEGACY
Requires: ldetect-lst >= 0.1.174
Requires: drakx-kbd-mouse-x11-text

# we don't want to require X libs (xf86misc is always used inside an eval)
%global __requires_exclude ^libX|perl\\([a-z].*\\)

%description
Keyboarddrake enables to configure  the keyboard.
Mousedrake enables to configure the mice.
XFdrake enables to configure the graphic card.

%package text
Summary: Tools to configure the keyboard, the mice and the graphic card
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version
Conflicts: drakx-kbd-mouse-x11 < %version-%release

%description text
This package contains the %_vendor X11 tools library.

%package -n %libname
Summary: Perl library to configure the keyboard, the mice and the graphic card
Group: System/Configuration
Requires: drakxtools-backend >= %drakxtools_required_version
Conflicts: drakxtools-curses <= %drakxtools_conflicted_version

%description -n %libname
This package contains the %_vendor X11 tools library.

%prep
%setup -q
# temp, remove autopatch before moving to core/release.
%autopatch -p1

%build
%make_build

%install
%make_install

# Remove rpaths
chrpath --delete %{buildroot}%{_prefix}/lib/libDrakX/auto/xf86misc/main/main.so

%find_lang %name

# add nokmsboot if necessary and rebuild initrds so that they handle it
%triggerpostun -- drakx-kbd-mouse-x11 < 0.93-2
perl -I/usr/lib/libDrakX -MXconfig::various -e 'Xconfig::various::setup_kms();' &>/dev/null
%{_sbindir}/bootloader-config --action rebuild-initrds || :

%files -f %{name}.lang
%doc COPYING NEWS
%{_sbindir}/display_driver_helper
%{_sbindir}/drakx-update-background
%{_bindir}/drakkeyboard
%{_bindir}/drakmouse
%{_bindir}/drakx11
%{_bindir}/keyboarddrake
%{_bindir}/mousedrake
%{_bindir}/XFdrake
%{_bindir}/Xdrakres
%{_libexecdir}/drakkeyboard
%{_libexecdir}/drakmouse
%{_libexecdir}/drakx11
%{_datadir}/polkit-1/actions/*.policy

%files text
%{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm

%files -n %{libname}
%{_datadir}/libDrakX/pixmaps/*
%{_prefix}/lib/libDrakX/auto/*
%{_prefix}/lib/libDrakX/xf86misc/main.pm
%{_prefix}/lib/libDrakX/Xconfig/*.pm
%exclude %{_prefix}/lib/libDrakX/Xconfig/resolution_and_depth.pm
%dir %{_prefix}/lib/libDrakX/Xconfig
%{_prefix}/lib/libDrakX/*.pm


%changelog
* Fri Dec 01 2023 tv <tv> 1.38-3.mga10
+ Revision: 2012268
- Rebuild for perl-5.38
- Rebuild for perl-5.38

* Tue Jun 06 2023 ghibo <ghibo> 1.38-1.mga9
+ Revision: 1961073
- Release 1.38.
- Add more room for longer text in Graphics Cards.
- Drop patch merged upstream.

* Thu Jun 01 2023 ghibo <ghibo> 1.37-2.mga9
+ Revision: 1960470
- Add some room for card name to fit in Graphics Card menu entries

* Sat Apr 22 2023 ghibo <ghibo> 1.37-1.mga9
+ Revision: 1954135
- Update to release 1.37 (added XFdrake option to disable hardware acceleration on some card)

* Mon Apr 17 2023 martinw <martinw> 1.36-1.mga9
+ Revision: 1953509
- translation updates

* Mon Jun 06 2022 umeabot <umeabot> 1.35-5.mga9
+ Revision: 1861488
- Rebuild for Perl 5.36

* Tue Mar 15 2022 tv <tv> 1.35-4.mga9
+ Revision: 1793217
- Remove empty rpath using chrpath

* Wed Mar 09 2022 mrambo3501 <mrambo3501> 1.35-3.mga9
+ Revision: 1790220
- disable rpath checking

* Mon May 24 2021 tmb <tmb> 1.35-2.mga9
+ Revision: 1726297
- rebuild for rebuild for perl-5.34.0

* Wed Feb 17 2021 tmb <tmb> 1.35-1.mga8
+ Revision: 1675501
- translation updates

* Sun Feb 07 2021 tmb <tmb> 1.34-1.mga8
+ Revision: 1675022
- add AMD to list of gpu vendors
- add amdgpu to kms drivers to not test under framebuffer

* Sun Jan 31 2021 tmb <tmb> 1.33-1.mga8
+ Revision: 1674216
- don't run mageia-setup-keyboard on Live systems (mga#23946)

* Wed Jan 27 2021 tmb <tmb> 1.32-2.mga8
+ Revision: 1673676
- revert amdgpu conflict info as it re-introduced mga#24589

* Sun Jan 24 2021 tmb <tmb> 1.32-1.mga8
+ Revision: 1673150
- add info for amdgpu vs radeon conflicts
- translation updates

* Mon Jan 04 2021 neoclust <neoclust> 1.31-1.mga8
+ Revision: 1668821
- New version 1.31

* Mon Jan 04 2021 neoclust <neoclust> 1.30-2.mga8
+ Revision: 1668785
- Update translations

* Sun Nov 22 2020 martinw <martinw> 1.30-1.mga8
+ Revision: 1648588
- add German, Spanish, and Latin American Dvorak keyboard layouts (mga#27390)
- translation updates

* Wed Jun 17 2020 umeabot <umeabot> 1.29-6.mga8
+ Revision: 1594208
- Rebuild for perl 5.32

* Tue Feb 18 2020 umeabot <umeabot> 1.29-5.mga8
+ Revision: 1541331
- Mageia 8 Mass Rebuild

* Tue Dec 24 2019 tmb <tmb> 1.29-4.mga8
+ Revision: 1469794
- libdrakx-kbd-mouse-x11: drop wrong virtual provides: drakx-kbd-mouse-x11

* Sun Oct 27 2019 daviddavid <daviddavid> 1.29-3.mga8
+ Revision: 1456041
- add virtual provides on drakx-kbd-mouse-x11

* Mon Aug 26 2019 tmb <tmb> 1.29-2.mga8
+ Revision: 1432575
- rebuild for perl 5.30

* Tue Jun 18 2019 tmb <tmb> 1.29-1.mga7
+ Revision: 1400257
- translation updates

* Mon May 20 2019 tmb <tmb> 1.28-1.mga7
+ Revision: 1398578
- translation updates

* Sat Mar 30 2019 martinw <martinw> 1.27-1.mga7
+ Revision: 1382065
- display_driver_helper: fix --is-kms-allowed for amdgpu (mga#24589)

* Sat Mar 16 2019 martinw <martinw> 1.26-1.mga7
+ Revision: 1378056
- add 'xclone' boot option to control Xorg default configuration (mga#24469)
- translation updates

* Sun Nov 04 2018 martinw <martinw> 1.25-2.mga7
+ Revision: 1328374
- add version info to NEWS

* Sun Nov 04 2018 martinw <martinw> 1.25-1.mga7
+ Revision: 1328363
- fix setting systemd default.target to requested runlevel (mga#22593)

* Sun Sep 23 2018 umeabot <umeabot> 1.24-3.mga7
+ Revision: 1297503
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 pterjan <pterjan> 1.24-2.mga7
+ Revision: 1247514
- Rebuild for perl 5.28

* Fri Jun 22 2018 tv <tv> 1.24-1.mga7
+ Revision: 1238820
- correct Serbian and Yugoslavian xkb symbols file (martinw, mga#22157)
- try to fix the Esperanto Dvorak keyboard
- add the French Azerty latin9 keyboard (mga#20364)
- improve the names of some French keyboards
- list amdgpu mach64 r128 sisimedia vboxvideo voodoo drivers

* Thu Aug 31 2017 pterjan <pterjan> 1.23-3.mga7
+ Revision: 1150252
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 1.23-2.mga7
+ Revision: 1126789
- Rebuild against new Perl 5.26

* Mon Jun 05 2017 akien <akien> 1.23-1.mga6
+ Revision: 1106896
- Version 1.23, translation updates

* Sat May 06 2017 martinw <martinw> 1.22-1.mga6
+ Revision: 1099283
- remove 'nomodeset' boot option when switching to a modesetting driver (mga#20455)

* Tue Mar 28 2017 tmb <tmb> 1.21-1.mga6
+ Revision: 1095086
- display_driver_helper: detect amdgpu (mga#20538)
+ tv <tv>
- drop pre-mga3 self conflict
- kill pre-mga3 conflicts for nokmsboot

* Thu Mar 09 2017 tv <tv> 1.20-1.mga6
+ Revision: 1090746
- rely on libinput for synaptics (mga#20424)
- speedup checking for x11-driver-input-libinput

* Tue Mar 07 2017 tv <tv> 1.19-1.mga6
+ Revision: 1089566
- display_driver_helper:
  o prevent dkms autoload of display driver on Live system before xorg.conf
    exists (mga#19520)
- keyboarddrake:
  o revert switch from legacy (KOI8-R) 'ru4' keyboard to 'ru'
- XFdrake:
  o forbid 24bit for geode (mga#19927)

* Sat Nov 12 2016 tv <tv> 1.18-1.mga6
+ Revision: 1066868
- fix generating 00-keyboard.conf (mga#19761)

* Tue Nov 08 2016 tv <tv> 1.17-1.mga6
+ Revision: 1065901
- drop support for Alpha/PPC/SPARC
- XFdrake
  o do not try uselessly to install x11-driver-video-modesetting
  o when testing X:
    * fix displaying test background (as well as running)
    * -noAutoAddDevices option is no more supported by xserver

* Tue Sep 20 2016 ghibo <ghibo> 1.16-1.mga6
+ Revision: 1054581
- added newer and modern resolutions to xfree.pm

* Sat Sep 17 2016 akien <akien> 1.15-1.mga6
+ Revision: 1053571
- Change background symlink from default.jpg to default.png
- Change default background size to 1600x1200 to match mageia-theme

* Thu Jul 14 2016 tv <tv> 1.14-1.mga6
+ Revision: 1042045
- switch from legacy (KOI8-R) 'ru4' keyboard to 'ru'
- display_driver_helper:
  o detect grub2 when checking for liveCD/DVD
- stop installing/configuring vboxmouse (mga#18917)

* Mon Jul 11 2016 marja <marja> 1.13-1.mga6
+ Revision: 1041057
- New version 1.13 with the git fixes for release blocker mga#14476 by
  o Martin Whitaker and Pablo Saratxaga
  o and other improvements

* Wed Jun 22 2016 tv <tv> 1.12-1.mga6
+ Revision: 1037154
- install x11-driver-input-libinput instead of x11-driver-input-evdev

* Mon Jun 20 2016 tv <tv> 1.11-1.mga6
+ Revision: 1036884
- stop installing x11-driver-input-vmmouse
  (uneeded since kernel-4.1)
- add US Macintosh keyboard (mga#7519)
- translation updates

* Wed Jun 15 2016 marja <marja> 1.10-1.mga6
+ Revision: 1021609
- let Asturian users see the ast keyboard in the first selectKeyboard screen.
- add the Romanian basic programmers keyboard layout (mga#17333)
- translation updates
+ tv <tv>
- set source URL to gitweb

* Thu Feb 11 2016 umeabot <umeabot> 1.9-2.mga6
+ Revision: 953798
- Mageia 6 Mass Rebuild
+ tv <tv>
- switch to pkgconfig() BRs

* Sat Jul 18 2015 marja <marja> 1.9-1.mga6
+ Revision: 855132
- make first keyboard choice screen visible for Cymraeg speakers (mga#12348#c48)
- add the French Bépo keyboards (mga#1612)
- translation updates

* Sun Jun 28 2015 sander85 <sander85> 1.8-3.mga6
+ Revision: 846692
- Rebuild with soname-ified perl

* Tue Jun 23 2015 sander85 <sander85> 1.8-2.mga6
+ Revision: 840620
- Rebuild for perl 5.22

* Mon May 18 2015 tv <tv> 1.8-1.mga5
+ Revision: 822271
- translation update

* Mon Apr 13 2015 tv <tv> 1.7-2.mga5
+ Revision: 820153
- rebuild for new drakx-kbd-mouse-x11

* Mon Apr 13 2015 tv <tv> 1.7-1.mga5
+ Revision: 820148
- do not propose to test modesetting in stage2 (mga#15687)

* Wed Feb 11 2015 ennael <ennael> 1.6-1.mga5
+ Revision: 814679
- suppress writing xorg.conf.d snippets for built in evdev defaults (mga#14476)
- fix typo in xorg.conf.d snippet

* Mon Feb 09 2015 ennael <ennael> 1.5-1.mga5
+ Revision: 814273
- translations updates
- ensure i18n settings are written to xorg.conf.d snippet
- write KEYMAP to /etc/vconsole.conf

* Fri Jan 02 2015 tv <tv> 1.4-1.mga5
+ Revision: 808041
- translations updates

* Wed Dec 24 2014 marja <marja> 1.3-1.mga5
+ Revision: 805451
- language updates; fixes for Turkish keyboards (mga#12348)

* Wed Oct 15 2014 umeabot <umeabot> 1.2-5.mga5
+ Revision: 747774
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 tv <tv> 1.2-4.mga5
+ Revision: 695875
- exclude lower case perl reqs (not in std path)

* Tue Sep 16 2014 umeabot <umeabot> 1.2-3.mga5
+ Revision: 678853
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Tue Jun 03 2014 tv <tv> 1.2-2.mga5
+ Revision: 632087
- rebuild for new perl

* Sat Jan 25 2014 colin <colin> 1.2-1.mga4
+ Revision: 568162
- Avoid double fork problems mga#11184 mga#12364
- Fix gpm check since systemd migration

* Tue Jan 07 2014 tmb <tmb> 1.1-3.mga4
+ Revision: 565277
- fix up conflicts and exclude

* Mon Jan 06 2014 tv <tv> 1.1-2.mga4
+ Revision: 565162
- split Xconfig::resolution module (debloat, mga#8455)

* Sat Dec 28 2013 tv <tv> 1.1-1.mga4
+ Revision: 562891
- adapt to new /etc/sysctl.d
- bump requires on drakxtools

* Mon Nov 25 2013 tv <tv> 1.0-1.mga4
+ Revision: 553058
- port to Gtk+3

* Sun Nov 17 2013 colin <colin> 0.113-1.mga4
+ Revision: 551666
- New version: 0.113

* Tue Oct 22 2013 umeabot <umeabot> 0.112-2.mga4
+ Revision: 541555
- Mageia 4 Mass Rebuild

* Sun Oct 13 2013 colin <colin> 0.112-1.mga4
+ Revision: 496197
- New version: 0.112

* Wed Oct 02 2013 colin <colin> 0.111-1.mga4
+ Revision: 490321
- Add intltool as a BR for translatable policy files.
- New version: 0.111

* Wed Sep 04 2013 tmb <tmb> 0.110-4.mga4
+ Revision: 475176
- really fix conflicts

* Wed Sep 04 2013 tmb <tmb> 0.110-3.mga4
+ Revision: 475172
- conflict too old drakxtools-curses to manage upgrades

* Wed Sep 04 2013 colin <colin> 0.110-2.mga4
+ Revision: 475140
- Fix requires after polkit change
- Add back in compatibility symlink (done in drakx)

* Wed Sep 04 2013 colin <colin> 0.110-1.mga4
+ Revision: 475130
- New version: 0.110
- o use polkit for authorisation (mga#11125)

* Wed May 29 2013 tv <tv> 0.109-2.mga4
+ Revision: 429878
- rebuild for new perl

* Wed May 08 2013 blino <blino> 0.109-1.mga3
+ Revision: 412602
- 0.109
- install drakx-update-background (in /usr/sbin)

* Sat May 04 2013 anssi <anssi> 0.108-1.mga3
+ Revision: 412229
- never fallback to guessing display resolution from display size or
  forcing it to 1024x768, instead fallback to automatic display mode
  (mga#9934)
- never fallback to assuming a 1024x768 monitor if probing failed,
  instead select an automatic "Plug'n Play" monitor (mga#9272)
- select the preferred timing in case of multiple detailed timings
  in EDID (mga#9934)

* Mon Apr 22 2013 tmb <tmb> 0.107-1.mga3
+ Revision: 410867
- fix Russian keyboard config (mga#6308)

* Thu Apr 18 2013 tv <tv> 0.106-1.mga3
+ Revision: 410433
- fix detecting whether X11 is started on boot or not (mga#3618)

* Tue Jan 22 2013 fwang <fwang> 0.105-2.mga3
+ Revision: 390899
- update rpm group

* Wed Jan 16 2013 tmb <tmb> 0.105-1.mga3
+ Revision: 388839
- update translations

* Thu Dec 06 2012 tv <tv> 0.104-1.mga3
+ Revision: 327171
- use 'es-latin1' mapping instead of 'es' for asturian (mga#6639)

* Mon Nov 26 2012 anssi <anssi> 0.103-1.mga3
+ Revision: 322189
- allow to select depth other than 16bit on Poulsbo (mga#5695)
- fix test background (Manuel Hiebel, mga#6349)
- keyboardrake:
  o german keyboard: default to variant with enabled deadkeys instead of
    "nodeadkeys variant" (mga#3791)
- display_driver_helper:
  o never select ums for radeon driver, it is not supported by current
    X11 driver anymore

* Tue Nov 13 2012 tmb <tmb> 0.102-3.mga3
+ Revision: 317554
- fix nouveau not getting loaded on all supported hw (P0, #7982)

* Thu May 31 2012 tv <tv> 0.102-2.mga3
+ Revision: 252110
- rebuild for new perl

* Mon Apr 30 2012 pterjan <pterjan> 0.102-1.mga2
+ Revision: 234317
- Do not install bootloader when configuring X during install (mga#5044)

* Thu Apr 05 2012 tv <tv> 0.101-1.mga2
+ Revision: 228712
- fix crash introduced in 0.100 (mga#5238)

* Thu Apr 05 2012 anssi <anssi> 0.100-1.mga2
+ Revision: 228612
- new version 0.100:
- do not run setxkbmap during text install
- do not generate a xorg.conf symlink pointing to nothing if
  xorg.conf.standard exists
- handle drivers needing SSE
- handle drivers needing firmware (mga#1471, mga#3421, mga#3466)
- display_driver_helper:
  o drop support for unused and unuseful --check-initrd option
  o allow use of nouveau without xorg.conf as it is now autoselected by
    X server in that case
  o load radeon module with modeset=0 when no firmware is installed
    (see mga#3466)
  o report KMS as not allowed with --is-kms-allowed on radeon hardware
    without radeon firmware, so that 'nokmsboot' will be used on such
    cases
  o add --setup-boot-kms action which sets/unsets 'nokmsboot' boot
    option as necessary

* Thu Mar 22 2012 tv <tv> 0.99-2.mga2
+ Revision: 225677
- drop crda,iw & wireless-regdb useless requires
- drop useless perl-Net-Telet requires

* Sun Dec 18 2011 colin <colin> 0.99-1.mga2
+ Revision: 184006
- Version 0.99 - 18 December 2011
- default to 24bit with QXL driver (16 bit doesn't work)
- do not offer to try KMS drivers during installation (mga#3711)
- display_driver_helper: use the new modprobe --resolve-alias instead
  of manually parsing --dry-run output
- convert mouse helper to use udevadm in order to work with udev 175+
- evdev needs to be loaded before calling getInputDevices_and_usb else
  it will lead to a crash

* Tue Nov 15 2011 tv <tv> 0.98-2.mga2
+ Revision: 167927
- fix conflict tag (fixing upgrade)

* Mon Nov 07 2011 dmorgan <dmorgan> 0.98-1.mga2
+ Revision: 164927
- Use new 0.98 tarball
  Fix use of macros in requires
- New version 0.98
  	Ensure that systemd targets corresponding to the required
  		runlevel are also updated (in addition to inittab).
+ tv <tv>
- split out perl modules in lib subpackage so that installing kernel does not
  pull in XFdrake & urpmi (#374)

* Sun Jun 12 2011 ahmad <ahmad> 0.97-2.mga2
+ Revision: 105358
- Rebuild for perl-5.14.0

* Sat May 14 2011 ennael <ennael> 0.97-1.mga1
+ Revision: 98849
- update translations

* Wed May 04 2011 anssi <anssi> 0.96-1.mga1
+ Revision: 94951
- 0.96
  o display_driver_helper: do not load radeon driver if the proprietary
    driver is temporarily disabled on a PowerXpress system
  o prefer boot display devices when probing cards (fixes at least an issue
    with an SLI laptop as reported by Maarten Vanraes)
  o add support for Asturian keyboard
  o do not try to probe monitor information via X server on laptops (it
    doesn't work with recent X servers)
  o fallback to X server run-time autodetection on laptops instead of
    1024x768 when the monitor could not be probed (Mageia #1059)

* Sat Apr 23 2011 blino <blino> 0.95-1.mga1
+ Revision: 89860
- 0.95
- harddrake: configure default resolution (and background) even if card
  configuration fails (useful if vbox video driver is not available)

* Thu Apr 21 2011 anssi <anssi> 0.94-1.mga1
+ Revision: 89351
- version 0.94
  o disable debug output of display_driver_helper by default
  o fix ahead-of-X-server loading of proprietary and fglrx kernel modules
  o try unloading unconfigured drivers in "display_driver_helper
    --check-loaded"

* Mon Apr 18 2011 anssi <anssi> 0.93-2.mga1
+ Revision: 87563
- bump udev requirement due to a typo in udev rules

* Sun Apr 17 2011 anssi <anssi> 0.93-1.mga1
+ Revision: 87358
- version 0.93
  o add display_driver_helper script (used by XFdrake, udev, drakx, dkms)
  o add/remove nokmsboot boot option as needed
  o ask for reboot instead of X server restart, as it is commonly needed

* Sun Apr 10 2011 dmorgan <dmorgan> 0.91-4.mga1
+ Revision: 82685
- Add patch2: this fix the name of the runned program

* Wed Mar 30 2011 ennael <ennael> 0.91-3.mga1
+ Revision: 79039
- evdev needs to be loaded before calling getInputDevices_and_usb
  else it will lead to a crash (pterjan)
+ rtp <rtp>
- disable monitor-edid on arm/mips

* Mon Feb 14 2011 dmorgan <dmorgan> 0.91-2.mga1
+ Revision: 51728
- Add patch0 to fix mga path

* Thu Feb 03 2011 dmorgan <dmorgan> 0.91-1.mga1
+ Revision: 46718
- imported package drakx-kbd-mouse-x11

